/*!
 * @file shell.h
 * Definition of a on-screen-shell
 *
 * @todo Buffer Display in different Colors for different debug mode.
 * @todo choose color of the Font and the background.
 */

#ifndef _GLGUI_IMAGEBUTTON_H
#define _GLGUI_IMAGEBUTTON_H

#include "glgui_pushbutton.h"
#include "event_listener.h"


#include <stack>

class GLGuiImage;

//! Namespace of the GLGuiImageButton of ORXONOX.
namespace OrxGui
{
  class GLGuiImageButton : public GLGuiPushButton
  {
  public:
    GLGuiImageButton(const std::string& label, unsigned int levelID, const std::string& imageName, GLGuiImage* image);
    virtual ~GLGuiImageButton();


  protected:
    virtual void releasing(const Vector2D& pos, bool focused);
    virtual void receivedFocus();
    virtual void removedFocus();


  private:
    unsigned int        levelID;
    std::string         imageName;
    GLGuiImage*         image;

  private:

  };

}

#endif /* _GLGUI_IMAGEBUTTON_H */
